Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045478
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Loyalty Programs for Web POSmajorhave not tried2020-11-23 14:472020-12-02 17:40
ReporterrafarodaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045478: Loyalty Subscription and Loyalty Card IndexedDB model don't use the flag OBPOS_remote.customer

DescriptionLoyalty Subscription and Loyalty Card IndexedDB model don't use the flag OBPOS_remote.customer

This makes the IndexedDB tables LoyaltySubscriptions and LoyaltyCard being filled (potentially with millions of records), it should not since we are working with "Enable Remote Customer" = Y
Steps To ReproduceActivate preference "Enable Remote Customer" = Y in an environment with Loyalty subscriptions and loyalty cards

Check the LoyaltySubscriptions and LoyaltyCard tables in IndexedDB
Proposed SolutionEvaluate the OBPOS_remote.customer prefrence and don't fill these LoyaltySubscriptions and LoyaltyCard tables in IndexedDB if "Enable Remote Customer" = Y
TagsNOR
Attached Filespng file icon Screenshot from 2020-11-23 14-36-23.png [^] (209,980 bytes) 2020-11-23 14:47


patch file icon 70f16cd4e0a19c2abc2e3f057a3ff18f8f5596f7.patch [^] (1,727 bytes) 2020-11-25 14:56 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124692)
hgbot (developer)
2020-12-02 14:49

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/merge_requests/11 [^]
(0124699)
hgbot (developer)
2020-12-02 17:40

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/merge_requests/11 [^]
(0124700)
hgbot (developer)
2020-12-02 17:40

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs [^]
Changeset: b6df76a43ea01053fa982b50337f132071a32f45
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-12-02T21:05:23+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.loyalty.programs/-/commit/b6df76a43ea01053fa982b50337f132071a32f45 [^]

Fixed ISSUE-45478: Added isRemote to Loyalty Models
* In remote mode, data should not be loaded for remote models

---
M web/org.openbravo.retail.loyalty.programs/app/model/masterdata/LoyaltyCardModel.js
M web/org.openbravo.retail.loyalty.programs/app/model/masterdata/LoyaltySubscriptionsModel.js
---

- Issue History
Date Modified Username Field Change
2020-11-23 14:47 rafaroda New Issue
2020-11-23 14:47 rafaroda Assigned To => Retail
2020-11-23 14:47 rafaroda File Added: Screenshot from 2020-11-23 14-36-23.png
2020-11-23 14:47 rafaroda Triggers an Emergency Pack => No
2020-11-23 14:47 rafaroda Tag Attached: NOR
2020-11-25 08:01 marvintm Severity critical => major
2020-11-25 14:56 cbrazier File Added: 70f16cd4e0a19c2abc2e3f057a3ff18f8f5596f7.patch
2020-11-30 07:20 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-12-01 08:02 ranjith_qualiantech_com Status new => scheduled
2020-12-02 14:49 hgbot Note Added: 0124692
2020-12-02 17:40 hgbot Note Added: 0124699
2020-12-02 17:40 hgbot Resolution open => fixed
2020-12-02 17:40 hgbot Status scheduled => closed
2020-12-02 17:40 hgbot Note Added: 0124700


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker